# TODO: systemd support? (see contrib dir)
Summary:	Framework to smartly mirror git repositories
Summary(pl.UTF-8):	Szkielet do eleganckiego tworzenia kopii lustrzanych repozytoriów git
Name:		grokmirror
Version:	2.0.11
Release:	4
License:	GPL v3+
Group:		Networking/Utilities
Source0:	https://www.kernel.org/pub/software/network/grokmirror/%{name}-%{version}.tar.xz
# Source0-md5:	762cea6e00bc1523a79657f9f59c08db
URL:		https://git.kernel.org/cgit/utils/grokmirror/grokmirror.git
BuildRequires:	python3 >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	git-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grokmirror was written to make mirroring large git repository
collections more efficient. Grokmirror uses the manifest file
published by the master mirror in order to figure out which
repositories to clone, and to track which repositories require
updating. The process is extremely lightweight and efficient both for
the master and for the mirrors.

%description -l pl.UTF-8
Grokmirror został napisany, aby poprawić wydajność tworzenia kopii
lustrzanych dużych zbiorów repozytoriów git. Grokmirror używa plik
manifest, opublikowany przez główny serwer, w celu określenia
repozytoriów do klonowania oraz śledzenia, które wymagają
uaktualnienia. Proces jest bardzo lekki i wydajny, zarówno dla serwera
głównego, jak i kopii.

%prep
%setup -q

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_mandir}/man1
cp -p man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.rst README.rst UPGRADING.rst grokmirror.conf pi-piper.conf
%attr(755,root,root) %{_bindir}/grok-bundle
%attr(755,root,root) %{_bindir}/grok-dumb-pull
%attr(755,root,root) %{_bindir}/grok-fsck
%attr(755,root,root) %{_bindir}/grok-manifest
%attr(755,root,root) %{_bindir}/grok-pi-piper
%attr(755,root,root) %{_bindir}/grok-pull
%{_mandir}/man1/grok-bundle.1*
%{_mandir}/man1/grok-dumb-pull.1*
%{_mandir}/man1/grok-fsck.1*
%{_mandir}/man1/grok-manifest.1*
%{_mandir}/man1/grok-pi-piper.1*
%{_mandir}/man1/grok-pull.1*
%{py3_sitescriptdir}/grokmirror
%{py3_sitescriptdir}/grokmirror-%{version}-py*.egg-info
%changelog
* Sat Mar 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grokmirror.git;a=log;h=master

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 44448a1
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 8d7928b
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> c4443a3
- rebuild with python 3.10

* Sat Aug 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 94a192c
- updated to 2.0.11

* Sun May 09 2021 Jakub Bogusz <qboosh@pld-linux.org> 2839072
- updated to 2.0.8

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> d8bec2d
- release 2 (by relup.sh)

* Mon Feb 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 432b78b
- updated to 2.0.7

* Wed Dec 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 5406534
- updated to 2.0.5 (python 3.6+ now)
- pl

* Mon Apr 13 2015 Elan Ruusamäe <glen@delfi.ee> 691bf21
- new, version 0.3.4

